Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.cfg
Class TokenFilterDefMapping

    java.lang.Object
      org.hibernate.search.cfg.TokenFilterDefMapping

    public class TokenFilterDefMapping

extends java.lang.Object

Author:
  Emmanuel Bernard

Method Summary
`AnalyzerDefMapping` | `analyzerDef(java.lang.String name, java.lang.Class<? extends org.apache.solr.analysis.TokenizerFactory> tokenizerFactory)`
`EntityMapping` | `entity(java.lang.Class<?> entityType)`
`TokenFilterDefMapping` | `filter(java.lang.Class<? extends org.apache.solr.analysis.TokenFilterFactory> factory)`
`FullTextFilterDefMapping` | `fullTextFilterDef(java.lang.String name, java.lang.Class<?> impl)`
`TokenFilterDefMapping` | `param(java.lang.String name, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### param

    public TokenFilterDefMapping param(java.lang.String name,
                                       java.lang.String value)

### filter

    public TokenFilterDefMapping filter(java.lang.Class<? extends org.apache.solr.analysis.TokenFilterFactory> factory)

### entity

    public EntityMapping entity(java.lang.Class<?> entityType)

### analyzerDef

    public AnalyzerDefMapping analyzerDef(java.lang.String name,
                                          java.lang.Class<? extends org.apache.solr.analysis.TokenizerFactory> tokenizerFactory)

### fullTextFilterDef

    public FullTextFilterDefMapping fullTextFilterDef(java.lang.String name,
                                                      java.lang.Class<?> impl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.